# $Id: perl-RPM-Perlonly.spec 3134 2005-04-16 09:11:48Z dries $
# Authority: dries
# Upstream: Troels Liebe Bentsen <tlb$rapanden,dk>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name RPM-Perlonly

Summary: Perl only implementaion of a RPM header reader
Name: perl-RPM-Perlonly
Version: 1.0.1
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/RPM-Perlonly/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/T/TL/TLBDK/RPM-Perlonly-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Perl-RPM-Perlonly is a clone of RPM::Header written in only perl, so it provides
a way to read a rpm package on systems where rpm is installed. Perl-RPM-Perlonly
can used as a drop in replacement for RPM::Header, if needed also the other way 
around.
  
%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/RPM/Perlonly.pm
%{perl_vendorlib}/RPM/Tagtable.pm

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.0.1-1 - 3134/dries
- Initial package.
